License

At this time, Democles is distributed as binary-only freeware that may be redistributed without modification.

For detailed licensing information, see the License Agreement.

Prerequisites

Democles runs on Eclipse 3.6, and requires Java 6.0. Other dependencies include GEF, MDT OCL, EMF and Batik, all of which are automatically installed for you when you install Democles.

The Democles plugin has been tested on Ubuntu, Windows XP, and Apple MacOS X platforms.

Installation Instructions

The Democles plugin can be installed from the following Eclipse update site:

http://democles.lassy.uni.lu/update

To install the plugin from the update site into Eclipse, follow these steps:

  1. Choose Help->Install New Software... from Eclipse's menu.
  2. Enter http://democles.lassy.uni.lu/update into the "Work with" field, and press Enter.
  3. Check the DEMOCLES EP Modeling Tool entry and click the Next button.
  4. Confirm all upcoming prompts and restart Eclipse when asked to.

Opening the Democles Perspective

To open all relevant views at once, choose Window->Open Perspective->Other... and select Democles.